<script setup lang="ts">
import { useAuthStore } from '@/stores/auth';

const authStore = useAuthStore()
</script>

<template>
  <v-dialog v-model="authStore.erDialog" persistent width="500" class="font">
    <v-card style="background-color: red">
      <v-card-title class="head"><v-icon color="white">mdi-alert</v-icon> Alert!</v-card-title>
      <v-card-text class="font">Please Login Again.</v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="white" variant="text" @click="authStore.erDialog = false"> Close </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
.font {
  font-family: 'Kanit';
  color: white;
}

.head {
  margin-top: 2%;
  font-family: 'Kanit';
  font-size: 25px;
  color: white;
}
</style>
